BizKitHub
DocsAPI ReferencePayment Gateway/bff/payment-gateway/keys
getPayment GatewayAdmin BFF

/bff/payment-gateway/keys

Returns the sensitive API credentials for a payment gateway. This endpoint is separated from the detail endpoint for security reasons - credentials should only be fetched when explicitly needed (e.g., when editing gateway configuration). Requires elevated permissions.

Payment GatewaygetBffPayment-gatewayKeys

Parameters

1 query

Query parameters

· 1
codestringRequired

Unique code/slug of the gateway instance.

Examplegopay-production

Response schema

1 status code documented

200SuccessGateway API credentials. Handle with care!
publicKeystringOptional

Public API key (if applicable).

secretKeystringOptional

Secret API key (if applicable).

merchantIdstringOptional

Merchant ID (if applicable).

secureKeystringOptional

Additional secure key (if applicable).

Response example

application/json
{
  "publicKey": "example_publicKey",
  "secretKey": "example_secretKey",
  "merchantId": "example_merchantId",
  "secureKey": "example_secureKey"
}

Request example

GET /bff/payment-gateway/keys

get
curl -X GET "https://api.bizkithub.com/bff/payment-gateway/keys?code=gopay-production" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key